Flambe docs
API referenceCook sessions

Remove a recipe from a session

DELETE
/api/sessions/{id}/recipes/{recipeId}

Authorization

bearerAuth
AuthorizationBearer <token>

A Clerk session JWT. Obtain one with a Clerk frontend SDK (session.getToken()) or, for server-to-server use, with a Clerk machine token. The token's sub claim is the Flambe user id that scopes every request.

In: header

Path Parameters

id*string
Formatuuid
recipeId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipes/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "user_id": "string",  "status": "active",  "recipe_ids": [    "4c3a004a-13c6-425c-9fd8-f48d8109cf0f"  ],  "started_at": "2019-08-24T14:15:22Z",  "ended_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}